| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AppliedAnnotationParameter Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure AppliedAnnotationParameter defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AppliedAnnotationParameter ()
| Default constructor.
eProsima_user_DllExport | ~AppliedAnnotationParameter ()
| Default destructor.
eProsima_user_DllExport | AppliedAnnotationParameter (const AppliedAnnotationParameter &x)
| Copy constructor.
eProsima_user_DllExport | AppliedAnnotationParameter (AppliedAnnotationParameter &&x) noexcept
| Move constructor.
eProsima_user_DllExport AppliedAnnotationParameter & | operator= (const AppliedAnnotationParameter &x)
| Copy assignment.
eProsima_user_DllExport AppliedAnnotationParameter & | operator= (AppliedAnnotationParameter &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AppliedAnnotationParameter &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AppliedAnnotationParameter &x) const
| Comparison operator.
eProsima_user_DllExport void | paramname_hash (const NameHash &_paramname_hash)
| This function copies the value in member paramname_hash.
eProsima_user_DllExport void | paramname_hash (NameHash &&_paramname_hash)
| This function moves the value in member paramname_hash.
eProsima_user_DllExport const NameHash & | paramname_hash () const
| This function returns a constant reference to member paramname_hash.
eProsima_user_DllExport NameHash & | paramname_hash ()
| This function returns a reference to member paramname_hash.
eProsima_user_DllExport void | value (const AnnotationParameterValue &_value)
| This function copies the value in member value.
eProsima_user_DllExport void | value (AnnotationParameterValue &&_value)
| This function moves the value in member value.
eProsima_user_DllExport const AnnotationParameterValue & | value () const
| This function returns a constant reference to member value.
eProsima_user_DllExport AnnotationParameterValue & | value ()
| This function returns a reference to member value.

## Detailed Description

This class represents the structure AppliedAnnotationParameter defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AppliedAnnotationParameter() [1/3]

eProsima_user_DllExport AppliedAnnotationParameter | ( |  | ) |

inline

Default constructor.

## ◆ ~AppliedAnnotationParameter()

eProsima_user_DllExport ~AppliedAnnotationParameter | ( |  | ) |

inline

Default destructor.

## ◆ AppliedAnnotationParameter() [2/3]

eProsima_user_DllExport AppliedAnnotationParameter | ( | const AppliedAnnotationParameter & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AppliedAnnotationParameter that will be copied.

## ◆ AppliedAnnotationParameter() [3/3]

eProsima_user_DllExport AppliedAnnotationParameter | ( | AppliedAnnotationParameter && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AppliedAnnotationParameter that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AppliedAnnotationParameter & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedAnnotationParameter object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AppliedAnnotationParameter & operator= | ( | AppliedAnnotationParameter && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AppliedAnnotationParameter that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AppliedAnnotationParameter & operator= | ( | const AppliedAnnotationParameter & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AppliedAnnotationParameter that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AppliedAnnotationParameter & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedAnnotationParameter object to compare.

## ◆ paramname_hash() [1/4]

eProsima_user_DllExport NameHash & paramname_hash | ( |  | ) |

inline

This function returns a reference to member paramname_hash.

Returns
  Reference to member paramname_hash

## ◆ paramname_hash() [2/4]

eProsima_user_DllExport const NameHash & paramname_hash | ( |  | ) | const

inline

This function returns a constant reference to member paramname_hash.

Returns
  Constant reference to member paramname_hash

## ◆ paramname_hash() [3/4]

eProsima_user_DllExport void paramname_hash | ( | const NameHash & | _paramname_hash | ) |

inline

This function copies the value in member paramname_hash.

Parameters

  _paramname_hash | New value to be copied in member paramname_hash

## ◆ paramname_hash() [4/4]

eProsima_user_DllExport void paramname_hash | ( | NameHash && | _paramname_hash | ) |

inline

This function moves the value in member paramname_hash.

Parameters

  _paramname_hash | New value to be moved in member paramname_hash

## ◆ value() [1/4]

eProsima_user_DllExport AnnotationParameterValue & value | ( |  | ) |

inline

This function returns a reference to member value.

Returns
  Reference to member value

## ◆ value() [2/4]

eProsima_user_DllExport const AnnotationParameterValue & value | ( |  | ) | const

inline

This function returns a constant reference to member value.

Returns
  Constant reference to member value

## ◆ value() [3/4]

eProsima_user_DllExport void value | ( | AnnotationParameterValue && | _value | ) |

inline

This function moves the value in member value.

Parameters

  _value | New value to be moved in member value

## ◆ value() [4/4]

eProsima_user_DllExport void value | ( | const AnnotationParameterValue & | _value | ) |

inline

This function copies the value in member value.

Parameters

  _value | New value to be copied in member value

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp